<?xml version="1.0" encoding="UTF-8"?>
<!--
/*
* Copyright 2014 - LAit SpA
*				 Realizzato da Icona Management srl su commessa LAit SpA
* Copyright 2015- LAit SpA
*                                                  Aggiornato da LAit SpA
*
* Concesso in licenza a norma dell'EUPL, versione 1.1 o
* successive dell'EUPL (la "Licenza")– non appena saranno
* approvate dalla Commissione europea;
* Non è possibile utilizzare l'opera salvo nel rispetto della Licenza.
* È possibile ottenere una copia della Licenza al seguente indirizzo:
*
* http://ec.europa.eu/idabc/eupl
*
* Salvo diversamente indicato dalla legge applicabile o
* concordato per iscritto, il software distribuito secondo
* i termini della Licenza è distribuito "TAL QUALE",
* SENZA GARANZIE O CONDIZIONI DI ALCUN TIPO,
* esplicite o implicite.
* Si veda la Licenza per la lingua specifica che disciplina
* le autorizzazioni e le limitazioni secondo i termini della
* Licenza.
*/
-->
<!DOCTYPE facelet-taglib PUBLIC "-//Sun Microsystems, Inc.//DTD Facelet Taglib 1.0//EN"
                                "http://java.sun.com/dtd/facelet-taglib_1_0.dtd">
<facelet-taglib>
	<namespace>http://www.iconamanagement.com/facelets</namespace>
	<tag>
		<tag-name>CFValidator</tag-name>
		<validator>
			<validator-id>CFVal</validator-id>
			<handler-class>it.laitspa.cpf.faces.utils.validator.CodiceFiscaleValidatorHandler</handler-class>
		</validator>
	</tag>
	<tag>
		<tag-name>PIVAValidator</tag-name>
		<validator>
			<validator-id>PIVAVal</validator-id>
			<handler-class>it.laitspa.cpf.faces.utils.validator.PartitaIvaValidatorHandler</handler-class>
		</validator>
	</tag>
	<tag>
		<tag-name>IBANValidator</tag-name>
		<validator>
			<validator-id>IBANVal</validator-id>
			<handler-class>it.laitspa.cpf.faces.utils.validator.CodiceIbanValidatorHandler</handler-class>
		</validator>
	</tag>
	<tag>
		<tag-name>RegexValidator</tag-name>
		<validator>
			<validator-id>REGEXVal</validator-id>
			<handler-class>it.laitspa.cpf.faces.utils.validator.RegexValidatorHandler</handler-class>
		</validator>
	</tag>
	<tag>
		<tag-name>panelGrid</tag-name>
		<component>
			<component-type>panelGrid</component-type>
			<handler-class>it.laitspa.cpf.faces.utils.component.CpfPanelLayoutHandler</handler-class>
		</component>
	</tag>

</facelet-taglib>
